#  Created by Matt Ritzman 7/4/2009
#  This plugin changes the snap size depending on how zoomed in you are.
#  It is setup for imperial units.
#  
class MyViewObserver < Sketchup::ViewObserver
	def onViewChanged(view)
		model = Sketchup.active_model
		manager = model.options
		provider = manager['UnitsOptions']
		view = Sketchup.active_model.active_view
		target = view.guess_target
		size = view.pixels_to_model 50, target
		size = size.to_f
		if size >= 100
			snapsize = 39.370078
		elsif size >= 50
			snapsize = 19.685039
		elsif size >= 10
			snapsize = 3.937007
		elsif size >= 5
			snapsize = 1.968503
		elsif size >= 1
			snapsize = 0.3937
		elsif size >= 0.5
			snapsize = 0.19685
		elsif size >= 0.25
			snapsize = 0.098425
		else size >= 0.1
			snapsize = 0.03937
		end
        setsnapsize = provider['LengthSnapLength']=snapsize

     end
end

     # Attach the observer.
     Sketchup.active_model.active_view.add_observer(MyViewObserver.new)